Status: Resolved Priority: Must have
Author: Aske Ertmann Category: Configuration
Created: 2012-05-08 Assigned To: Aske Ertmann
Updated: 2012-05-11 Due date:
PHP Version:
Has patch: No
Complexity: easy
Affected Flow version: Git master
Subject: Packages are ordered reverse in configuration manager making overwriting settings inconsistant
Description

The package order is determined by PackageStates.php, but in the configuration manager this order is reverse in order to make
TYPO3.FLOW3 the first package to have it's configuration loaded.

Related issues:
related to TYPO3.Flow - Bug # 28213: Sites Configuration should overrule pack... Resolved 2011-07-14

Associated revisions
Revision d100a281 - 2012-05-09 16:05 - Aske Ertmann 

[BUGFIX] Avoid reverse ordering of packages in configuration manager

This issue causes some problems when packages are overwriting YAML settings,
because in #27490 the package order is reversed in order to put TYPO3.FLOW3
at the top. This has some unnecessary consequences.

Change-Id: Ice3ddd43e2055bbd1aabe56585188742bc7027ad
Fixes: #36965
Related: #27490
Releases: 1.1

History
#1 - 2012-05-08 23:32 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11088

#2 - 2012-05-08 23:33 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11088

#3 - 2012-05-09 10:15 - Karsten Dambekalns
- Assigned To set to Aske Ertmann
I would even dare to say this is a duplicate of #28213…

#4 - 2012-05-09 16:05 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11088

#5 - 2012-05-11 02:39 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:d100a281547da020c6bd628384fc4af7222b69c3.
